package com.backendsys.modules.sdk.comfyui.enums;

public enum TaskStatusEnums {

    STATUS("status", "队列状态"),
    EXECUTION_START("execution_start", "任务开始执行"),
    EXECUTION_CACHED("execution_cached", "任务缓存"),
    EXECUTING("executing", "当前任务执行的步骤"),
    EXECUTION_SUCCESS("execution_success", "任务执行成功"),
    EXECUTED("executed", "任务执行完成");

    private final String value;
    private final String label;
    TaskStatusEnums(String value, String label) {
        this.value = value;
        this.label = label;
    }
    public String getLabel() {
        return this.label;
    }
    public String getValue() {
        return this.value;
    }

}
